+++
title = "Roughness"
weight = 40
+++

# Rough interfaces

Rough interfaces modify the Fresnel transmission and reflection coefficients,
and cause diffuse scattering.

### Interface models

For detailed reference, see [API](api).

Each layer (except for the semi-infinite top layer)
supports an optional roughness property that can be set as follows:

```python
autocorr = ba.K_CorrelationModel(vertical_rms, hurst, horizontal_correlation_length)
interlayer = ba.TanhInterlayer()
crosscorrelation = ba.CommonDepthCrosscorrelation(vertical_correlation_length)
roughness = ba.LayerRoughness(autocorr, interlayer, crosscorrelation)
layer = ba.Layer(material, thickness, roughness) # roughness refers to top interface
```

{{% children %}}
